# Check In

## zapiCheckIn

<mark style="color:green;">`POST`</mark> `https://{yourdomainname}.zaui.net/zapi/`

#### Request Body

| Name                                            | Type    | Description                                                                     |
| ----------------------------------------------- | ------- | ------------------------------------------------------------------------------- |
| zapiToken<mark style="color:red;">\*</mark>     | integer | Token that must be used for a reseller to communicate with the supplier system. |
| cartId<mark style="color:red;">\*</mark>        | integer | Retrieved from running the Agent Login call.                                    |
| methodName<mark style="color:red;">\*</mark>    | string  | The method being called                                                         |
| zapiUserId<mark style="color:red;">\*</mark>    | integer | Generated by the supplier system when a new contact is created.                 |
| zapiAccountId<mark style="color:red;">\*</mark> | integer | Generated by the supplier system.                                               |
| checkInType<mark style="color:red;">\*</mark>   | string  | A or a for Activity.                                                            |
| bookingNumber<mark style="color:red;">\*</mark> | integer | Confirmation number assigned once booking is confirmed.                         |
| activityId<mark style="color:red;">\*</mark>    | integer | ID of the activity to check in.                                                 |
| activityDate<mark style="color:red;">\*</mark>  | integer | The travel date.  Format: YYYY-MM-DD                                            |
| toggleStatus<mark style="color:red;">\*</mark>  | string  | True or False. Default value is True.                                           |

{% tabs %}
{% tab title="200: OK " %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiCheckIn</methodName>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage>
            <![CDATA[< Checked In > #40248
Guest: Barak Obama

Canyon Icewalk  2022-05-25 13:00:00 2 (ad)  Balance: $0.00]]>
        </methodErrorMessage>
        <bookingBalance>
            <hasOutstandingBalance>false</hasOutstandingBalance>
            <balance>0</balance>
            <balanceFormated>$0.00</balanceFormated>
        </bookingBalance>
        <groupCheckInStatus>1</groupCheckInStatus>
        <messages>
            <message>
                <priorityLevel>
                    <![CDATA[1]]>
                </priorityLevel>
                <title>
                    <![CDATA[< Checked In > #40248]]>
                </title>
                <content>
                    <![CDATA[< Checked In > #40248
Guest: Barak Obama

Canyon Icewalk  2022-05-25 13:00:00 2 (ad) ]]>
                </content>
                <statusCode>
                    <![CDATA[0]]>
                </statusCode>
                <statusMessage>
                    <![CDATA[OK]]>
                </statusMessage>
            </message>
        </messages>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Request" %}

```xml
<request>
	<zapiToken></zapiToken>
	<zapiAccountId></zapiAccountId>
	<zapiUserId></zapiUserId>
	<zapiMethod>
		<methodName>zapiCheckIn</methodName>
		<cartId></cartId>
		<bookingNumber></bookingNumber>
		<checkInType></checkInType>
		<activityId></activityId>
		<activityDate></activityDate>
		<toggleStatus></toggleStatus>
	</zapiMethod>
</request>
```

{% endtab %}

{% tab title="Response" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
	<zapiVersion>2.1</zapiVersion>
	<error>0</error>
	<message>OK</message>
	<methodResponse>
		<methodName>zapiCheckIn</methodName>
		<methodErrorCode></methodErrorCode>
		<methodErrorMessage>/methodErrorMessage>
		<bookingBalance>
			<hasOutstandingBalance></hasOutstandingBalance>
			<balance></balance>
			<balanceFormated></balanceFormated>
		</bookingBalance>
	</methodResponse>
</response> 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/zapi/zapi-calls/mobile/check-in.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
